﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PanelBarHeaderedContentControlExample
{
    public class MyViewModel
    {

        public MyViewModel()
        {
        }

        public static IList<DataItem> GenerateItems()
        {
            var result = new ObservableCollection<DataItem>();

            foreach (var num in Enumerable.Range(1, 5))
            {
                string title = String.Format("Item {0}", num);
                DateTime dateCreated = DateTime.Today.AddDays(-num % 15);
                double price = num * 100 + Convert.ToDouble(num) / 100;

                var item = new DataItem(title, dateCreated, price);

                for (int i = 0; i <1; i++)
                {
                    string childTitle = String.Format("Item {0}.{1}", num, i);
                    DateTime childDateCreated = DateTime.Today.AddDays(-num % 5 - i);
                    double childPrice = num * 100 + Convert.ToDouble(num + i) / 100;

                    var child = new DataItem(childTitle, childDateCreated, childPrice);

                    item.RelatedItems.Add(child);
                }
                result.Add(item);
            }
            return result;
        }
    }
}
